SPECIAL SALE: Buy One, Get One FREE. Limited Time!
0
Your Cart is currently empty!
Product update
Coupon
add
Coupon code invalid! Please re-enter!
AJAX loader
You are here: HomeJoomla TemplatesNews & UpdatesVirtueMart 3.0.4 - Vulnerability in the Core Resolve
January.30.2015

VirtueMart 3.0.4 - Vulnerability in the Core Resolve

VirtueMart 3.0.4 is an early release which successfully dealt with a wrong error report setting, which can reveal the used server path for the real attack.
VirtueMart 3.0.4 - Vulnerability in the Core Resolve
Besides, VirtueMart 3.0.4 also works with Strict Errors (revealing the path) which sometimes occurs to php5.4 or php5.5 users. VM team has added a function to disable the "Strict Standards" reporting for the "default" and "none" setting in Joomla.

WHAT'S NEW IN VIRTUEMART 3.0.4?

Change in Layout

The layout changes are significantly important to people who override the sublayout prices. The <div class="clear"></div> at the end of the sublayout prices.php has removed to increase the flexibility of the sublayout.

New Sample Product

VM 3.0.4 contains a new sample product - the "child variant", which allows you to use up to 5 drop-downs to determine the product variant. It also allows you to change the variant data of any child directly from the parent.

Other new Features and Bugs Fixed

  • cleaning of the code
  • increased robustness
  • increased consistency
  • more j3 compatibility (minors)
  • added js to fire automatically the checkout (without redirect) to show directly confirm
  • link to manufacturer on the productdetail page calls the manufacturer, not any longer the product list of the manufacturer
  • the rss feed in the controlpanel is now loaded by ajax, to prevent that the controlpanel isn't loaded if rss has problems
  • custom media, related products and categories with image size parameter
  • added var to vmview "writeJs", for example to prevent writing of js in pdfs
  • added hash for categoryListTree
  • changed calculator so, that default userfield parameters are better directly set if instantiated. Less problems with tax by country for guests
  • fixed in vmplugin.php the function declarePluginParams
  • fixed trigger plgVmDeclarePluginParamsUserfieldVM3

DOWNLOAD VM3 NOW
VirtueMart 3 component (core and AIO)


If you do not want to update the new version, you can manually fix the issue as following:
  1. open the file config.php at /administrator/components/com_virtuemart/helpers/config.php.
  2. Go to line 583 and replace
    ini_set('display_errors', '1');
    with
    ini_set('display_errors', '0');

 

From all of this information, we hope you can understand more about this new VM version. We are updating all our VirtueMart Extenions as well as VirtueMart Joomla templates to be compatible with VM 3.0.x in order to bring you the best performance products. Keep in touch with us to get the latest information immediately.

Thanks for reading and hope it helps!

Love all our templates?

Join our membership clubs starting at $49 only for access to all of our templates

Join Now
Magento Themes Magento Extensions Free Magento Extensions Prestashop Themes Prestashop Modules Magento 2 Themes